## Introspection Overivew Overview — General overview of introspection |

## Synopsis

The GObject-Introspection package contains of a few different parts:

- The GIR XML format - an XML format describing the exported C API including documentation

- The GTypelib format - a binary format optimized for fast disk access and low memory usage

- g-ir-scanner - parses C source code and gtk-doc comments and generates GIR XML files

- g-ir-compiler - compiles GIR XML files into typelibs

- libgirepository - library to access typelib from C

A quick overview how the different components fits together: